services:
  apprise-api:
    image: ${APPRISE_IMAGE}:${APPRISE_TAG}
    container_name: ${APPRISE_CONTAINER_NAME}
    restart: ${APPRISE_RESTART_POLICY}
    security_opt:
    - no-new-privileges:true
    environment:
      - PUID=${PUID:-1000}
      - PGID=${PGID:-1000}
      - TZ=${TZ}
    volumes:
      - ${DOCKERDIR}/apprise-api/config:/config
    ports:
      - ${APPRISE_PORT:-8000}:8000 
    networks:
      - proxy
